Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2106)
+++ palm/trunk/SOURCE/modules.f90	(revision 2107)
@@ -1312,28 +1953,48 @@
     USE kinds
 
-    CHARACTER (LEN=40) ::  region(0:9)
-    INTEGER(iwp) ::  pr_palm = 130, statistic_regions = 0
-    INTEGER(iwp) ::  u_max_ijk(3) = -1, v_max_ijk(3) = -1, w_max_ijk(3) = -1
-    LOGICAL ::  flow_statistics_called = .FALSE.
-    REAL(wp) ::     u_max, v_max, w_max
-    REAL(wp), DIMENSION(:), ALLOCATABLE       ::  mean_surface_level_height,      &
-                                                  sums_divnew_l, sums_divold_l,   &
-                                                  weight_substep, weight_pres
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE     ::  sums, sums_wsts_bc_l, ts_value, &
-                                                  sums_wsus_ws_l, sums_wsvs_ws_l, &
-                                                  sums_us2_ws_l, sums_vs2_ws_l,   &
-                                                  sums_ws2_ws_l,                  &
-                                                  sums_wsnrs_ws_l,                &
-                                                  sums_wspts_ws_l,                &
-                                                  sums_wsqs_ws_l,                 &   
-                                                  sums_wsqrs_ws_l,                &
-                                                  sums_wssas_ws_l,                &
-                                                  sums_wsss_ws_l,                 &
-                                                  sums_ls_l
+    CHARACTER (LEN=40) ::  region(0:9)  !< 
+    
+    INTEGER(iwp) ::  pr_palm = 130          !< 
+    INTEGER(iwp) ::  statistic_regions = 0  !< 
+    
+    INTEGER(iwp) ::  u_max_ijk(3) = -1  !< 
+    INTEGER(iwp) ::  v_max_ijk(3) = -1  !< 
+    INTEGER(iwp) ::  w_max_ijk(3) = -1  !< 
+    
+    LOGICAL ::  flow_statistics_called = .FALSE.  !< 
+    
+    REAL(wp) ::  u_max  !< 
+    REAL(wp) ::  v_max  !< 
+    REAL(wp) ::  w_max  !< 
+    
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mean_surface_level_height  !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  sums_divnew_l              !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  sums_divold_l              !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  weight_substep             !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  weight_pres                !< 
+    
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums             !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsts_bc_l   !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  ts_value         !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsus_ws_l   !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsvs_ws_l   !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_us2_ws_l    !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_vs2_ws_l    !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_ws2_ws_l    !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsnrs_ws_l  !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wspts_ws_l  !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsqs_ws_l   !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsqrs_ws_l  !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wssas_ws_l  !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsss_ws_l   !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_ls_l        !< 
                                               
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  hom_sum, rmask, sums_l,      &
-                                                  sums_l_l, sums_up_fraction_l
-
-    REAL(wp), DIMENSION(:,:,:,:), ALLOCATABLE ::  hom
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  hom_sum             !< 
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  rmask               !< 
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sums_l              !< 
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sums_l_l            !< 
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sums_up_fraction_l  !< 
+
+    REAL(wp), DIMENSION(:,:,:,:), ALLOCATABLE ::  hom  !< 
 
     SAVE
@@ -1352,6 +2013,20 @@
     USE kinds
 
-    INTEGER(iwp) ::  nxl_y, nxl_yd, nxl_z, nxr_y, nxr_yd, nxr_z, nyn_x, nyn_z, &
-                     nys_x, nys_z, nzb_x, nzb_y, nzb_yd, nzt_x, nzt_y, nzt_yd
+    INTEGER(iwp) ::  nxl_y   !< 
+    INTEGER(iwp) ::  nxl_yd  !< 
+    INTEGER(iwp) ::  nxl_z   !< 
+    INTEGER(iwp) ::  nxr_y   !< 
+    INTEGER(iwp) ::  nxr_yd  !< 
+    INTEGER(iwp) ::  nxr_z   !< 
+    INTEGER(iwp) ::  nyn_x   !< 
+    INTEGER(iwp) ::  nyn_z   !< 
+    INTEGER(iwp) ::  nys_x   !< 
+    INTEGER(iwp) ::  nys_z   !< 
+    INTEGER(iwp) ::  nzb_x   !< 
+    INTEGER(iwp) ::  nzb_y   !< 
+    INTEGER(iwp) ::  nzb_yd  !< 
+    INTEGER(iwp) ::  nzt_x   !< 
+    INTEGER(iwp) ::  nzt_y   !< 
+    INTEGER(iwp) ::  nzt_yd  !< 
                 
     SAVE
